﻿using System;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace Post8782
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(31.22, 55.05, 154.03, 16.91);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();
                Map1.CustomOverlays.Add(worldMapKitOverlay);

                ShapeFileFeatureLayer worldLayer = new ShapeFileFeatureLayer(MapPath("~/App_Data/cntry02.shp"));
                AreaStyle areaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(100, GeoColor.SimpleColors.Green));
                worldLayer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(areaStyle);

                // Draw a feature based on a value  
                ValueStyle valueStyle = new ValueStyle();
                valueStyle.ColumnName = "CNTRY_NAME";

                ValueItem valueItem = new ValueItem();
                valueItem.Value = "China";
                valueItem.CustomStyles.Add(new TextStyle("CNTRY_NAME", new GeoFont("Arail Black", 16, DrawingFontStyles.Bold), new GeoSolidBrush(GeoColor.StandardColors.LightSkyBlue)));
                valueItem.CustomStyles.Add(new AreaStyle(new GeoSolidBrush(GeoColor.StandardColors.LightGreen)));
                valueStyle.ValueItems.Add(valueItem);

                worldLayer.ZoomLevelSet.ZoomLevel01.CustomStyles.Add(valueStyle);
                worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

                LayerOverlay staticOverlay = new LayerOverlay();
                staticOverlay.IsBaseOverlay = false;
                staticOverlay.Layers.Add("worldLayer", worldLayer);

                Map1.CustomOverlays.Add(staticOverlay);
            }
        }
    }
}
